{
    "basedOn": "HoradricCubeLayoutCTR.json",
    "type": "HoradricCubePanel", "name": "HoradricCubeLayout",
    "fields": {
        "rect": "$ConsoleLeftPanelRect",
        "defaultWidget": "grid",
    },
    "children": [
        {
            "type": "ClickCatcherWidget", "name": "click_catcher",
            "fields": {
                "rect": [ 0, 0, 0, 0 ],
                "fitToParent": true
            }
        },
        {
            "type": "ImageWidget", "name": "helpguide",
            "fields": {
                "rect": { "x": 0, "y": 0 },
                "filename": "Controller/Panel/HoradricCube/V2/HoradricCubeBG",  //도움이미지 변경
            },
        },
        {
            "type": "ImageWidget", "name": "cubearea",
            "fields": {
                "rect": { "x": 1195, "y": 833 },  //빈큐브 위치조정
                "filename": "Controller/Panel/HoradricCube/V2/CubeArea",
            },
        },
        {
            "type": "ButtonWidget", "name": "convert",
            "fields": {
                "rect": { "x": 1429, "y": 1295 },  //변환버튼 위치조정
                "filename": "PANEL\\Horadric_Cube\\TransmuteButton",
                "hoveredFrame": 2,
                "focusIndicatorFilename": "Controller/HoverImages/Transmute_Hover",
                "focusIndicatorOffset": { "x": 0, "y": 0 },
                "navigation": {
                    "right": { "panelBoundary": true },
                    "up": { "name": "grid" },
                },
            },
        },
        {
            "type": "InventoryGridWidget", "name": "grid",
            "fields": {
                "rect": { "x": 1236, "y": 868 },  //그리드칸 위치조정
                "gemSocketFilename": "PANEL/gemsocket",
                "navigation": {
                    "right": { "panelBoundary": true },
                    "down": { "name": "convert" },
                },
            },
        },
        /*{
            "type": "AnimatedImageWidget", "name": "flourish",
            "fields": {
                "rect": { "x":1236, "y": 868 },
            },
        }*/
    ]
}
